package com.xzzn.ems.service.impl;

import com.xzzn.ems.domain.vo.SiteVo;
import com.xzzn.ems.service.IEmsSiteService;
import com.xzzn.ems.service.IHomePageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 站点信息 服务层实现
 *
 */
@Service
public class HomePageServiceImpl implements IHomePageService
{

    @Autowired
    private IEmsSiteService emsSiteService;

    @Override
    public SiteVo getSiteVo() {
        SiteVo siteVo = new SiteVo();
        siteVo.setSiteNum(emsSiteService.getAllSites().size());
        if (siteVo.getSiteNum() > 0){
            //设置其他参数
        }
        return siteVo;
    }
}
